with GNATCOM.Dispinterface;

package MSHTML.DispHTMLStyleSheetPagesCollection_Object is

   type DispHTMLStyleSheetPagesCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_length
     (This : DispHTMLStyleSheetPagesCollection_Type)
     return GNATCOM.Types.VARIANT;

   function item
     (This  : DispHTMLStyleSheetPagesCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_constructor
     (This : DispHTMLStyleSheetPagesCollection_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLStyleSheetPagesCollection_Object;

